View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000139Ecere SDKcompilerpublic2008-09-18 03:432013-08-07 06:45
Reporterjerome 
Assigned Tojerome 
PriorityimmediateSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000139: enumeration continuity when inheriting off another enum is broken
DescriptionThe PlanetOrDwarfPlanet in the Tao does not work as it should.

The value restarts at 0, and a warning occurs when assigning a Planet to a PlanetOrDwardPlanet:

warning: incompatible expression 0 (Planet); expected PlanetOrDwarfPlanet

(Must have been broken in improving base data type compatibility/conversions).
Tagsv0.44d2
Attached Files

- Relationships

-  Notes
(0000940)
jerome (administrator)
2013-08-07 06:45

Fixed by https://github.com/ecere/ecere-sdk/commit/95c91637e6dc7dee4eb450d7ff4101ec004395f7 [^]

- Issue History
Date Modified Username Field Change
2008-09-18 03:43 jerome New Issue
2008-09-18 03:43 jerome Status new => assigned
2008-09-18 03:43 jerome Assigned To => jerome
2009-10-10 19:59 jerome Priority high => immediate
2010-07-07 02:59 redj Target Version => 0.44d2
2010-07-07 04:10 redj Tag Attached: v0.44d2
2010-07-25 21:27 redj Relationship added child of 0000429
2010-07-26 19:29 thexa4 Target Version 0.44d2 => 0.44 draft 2
2012-03-08 15:43 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-08 17:31 redj Relationship deleted child of 0000429
2012-03-29 07:50 redj Category => eC Compiling Tools
2012-03-29 07:50 redj Project @2@ => Ecere SDK
2012-10-22 06:11 jerome Assigned To jerome => redj
2013-04-24 02:28 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 02:45 jerome Assigned To redj => jerome
2013-08-07 03:04 jerome Target Version 0.44.10 64 => 0.44.08
2013-08-07 06:45 jerome Status assigned => closed
2013-08-07 06:45 jerome Note Added: 0000940
2013-08-07 06:45 jerome Resolution open => fixed
2013-08-07 06:45 jerome Fixed in Version => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker